#===============================================================================
#
# PARTED LIBRARY LINK SET SHELL
#
#                                               Copyright FUJITSU LTD 2005-2007.
#===============================================================================
# 2005.7.16					
# 2007.1.17     parted-1.7б
#===============================================================================
#$Name: SLINPSA-2_0_0-0 $

#!/bin/sh

LIBPATH="/usr/lib"
LIBNAME="libparted"
LINKNAME="/opt/FJSVpsa/lib/libparted.so"


case $1 in
    'install')
	LIBS=(`ls $LIBPATH/$LIBNAME-1.*.so.*.*.* | \
			sort  -t \. -k2,2nr -k4,4nr -k5,5nr -k6,6nr`)
	
	if [ ${#LIBS[*]} == 0 ]
	    then
	    echo "$LIBNAME is not found" 
	    exit 1
	fi

	rm -f $LINKNAME
	ln -s ${LIBS[0]} $LINKNAME
	exit 0;;
	
    'uninstall')

	rm -f $LINKNAME
	exit 0;;

    *)
	echo "partedset.sh: Invalid option '$1'"
	echo "Usage:  partedset.sh {install|uninstall}"
	exit 1;;
esac
